package football.repositories;

import football.entities.supplement.Supplement;

import java.util.ArrayList;
import java.util.Collection;

public class SupplementRepository implements Repository {
    private Collection<Supplement> supplements;

    public SupplementRepository() {
        this.supplements = new ArrayList<>();
    }

    @Override
    public void add(Supplement supplement) {
        this.supplements.add(supplement);
    }

    @Override
    public boolean remove(Supplement supplement) {

        return this.supplements.remove(supplement);
    }


    public Supplement findByType(String type) {
        return supplements.stream()
                .filter(supplement -> supplement.getClass().getSimpleName().equals(type))
                .findFirst()
                .orElse(null);
    }


}
